summarylogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.SRCINFO18
-rw-r--r--PKGBUILD34
2 files changed, 52 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..a0d8143a1c7
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,18 @@
+pkgbase = python-mvpa2-git
+ pkgdesc = Multivariate pattern analysis
+ pkgver = r8734.6042292
+ pkgrel = 1
+ url = http://www.pymvpa.org
+ arch = any
+ license = MIT
+ makedepends = python3
+ makedepends = git
+ makedepends = bash
+ makedepends = swig
+ depends = python
+ depends = python-numpy
+ source = python-mvpa2-git::git+https://github.com/PyMVPA/PyMVPA.git
+ md5sums = SKIP
+
+pkgname = python-mvpa2-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..f9d4c457078
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,34 @@
+#Automatically generated by pip2arch on 2015-10-07
+pkgbase=python-mvpa2-git
+pkgname=python-mvpa2-git
+pkgver=r8734.6042292
+pkgrel=1
+pkgdesc="Multivariate pattern analysis"
+url="http://www.pymvpa.org"
+depends=('python' 'python-numpy')
+makedepends=('python3' 'git' 'bash' 'swig')
+license=('MIT')
+arch=('any')
+source=("$pkgname::git+https://github.com/PyMVPA/PyMVPA.git")
+md5sums=('SKIP')
+
+pkgver() {
+ cd "$srcdir/$pkgname"
+ ( set -o pipefail
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+
+build() {
+ cd $srcdir/$pkgname
+ python setup.py build_ext
+}
+
+package() {
+ cd $srcdir/$pkgname
+ python setup.py install --root="$pkgdir" --optimize=1
+
+ mkdir -p "$pkgdir/usr/share/licenses/$pkgname"
+ mv COPYING "$pkgdir/usr/share/licenses/$pkgname/"
+}